/*
 * Copyright (C) 2003 Russell Miller <rmiller@duskglow.com>
 */

#include "klicker.h"
#include <kuniqueapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

static const char description[] =
    I18N_NOOP("A KDE metronome application.");

static const char version[] = "1.0.0";

static KCmdLineOptions options[] =
{
    KCmdLineLastOption
};

int main(int argc, char **argv)
{
    KAboutData about("klicker", I18N_NOOP("klicker"), version, description,
                     KAboutData::License_GPL, "(C) 2003-2004 Russell Miller", "If you like this software, please consider me for consulting or programming work.", "http://www.duskglow.com/personal/software.shtml", "rmiller@duskglow.com");


    about.addAuthor( "Russell Miller", 0, "rmiller@duskglow.com" );
    about.addCredit( "Anne-Marie Mahfouf", "Provided bugfixes, advice, and testing", "annma@kde.org");
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions(options);
    KUniqueApplication::addCmdLineOptions();

    if (!KUniqueApplication::start()) {
	    fprintf(stderr, "klicker is already running\n");
	    exit(0);
    }

    KUniqueApplication app;
    // see if we are starting with session management
    if (app.isRestored())
    {
        RESTORE(klicker);
    }
    else
    {
        // no session.. just start up normally
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
        if (args->count() == 0)
        {
            klicker *widget = new klicker;
            widget->show();
        }
        else
        {
		fprintf(stderr, "klicker does not take arguments.\n");
		exit(0);
        }
        args->clear();
    }

    return app.exec();
}
